Subject: bug#7722: 24.0.50; Finding this C++ header file drops emacs into a infinite loop

From: Daniel Colascione <[email-masked]>
Date: Sun, 30 Jan 2011 13:23:35 -0800

On 1/26/11 4:55 PM, Chong Yidong wrote:
> Chong Yidong <[email-masked]> writes:
> 
>>> 1. emacs -Q bug.hpp
>>> 2. emacs loops infinitely using 100% CPU resources
>>>
>>> The offending file is that (according to the original reporter, the
>>> spaces and empty lines are needed):
>>
>> I can reproduce this (file attached for convenience).  Alan, could you
>> take a look?  Looks like a loop in c-forward-<>-arglist-recur:
> 
> In the meantime, I have added the following hack/workaround to the
> emacs-23 branch, which seems to break the loop.  Let me know if you find
> a fix that's safer (since we are well into the 23.3 pretest).

Incidentally, I can't reproduce the problem with the trunk cc-mode.